org.bdgenomics.adam.predicates

# RecordCondition

#### class RecordCondition[T] extends Serializable

A RecordCondition is a filter on any Avro defined records and contains an UnboundRecordFilter that can be used for predicate pushdown with Parquet stored files

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RecordCondition
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RecordCondition(filter: (T) ⇒ Boolean, recordFilter: UnboundRecordFilter)(implicit arg0: (T) ⇒ SpecificRecord, arg1: Manifest[T])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def &&(other: RecordCondition[T]): RecordCondition[T]

5. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

6. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

7. #### def and(other: RecordCondition[T]): RecordCondition[T]

8. #### def apply(record: T): Boolean

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### val filter: (T) ⇒ Boolean

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def or(other: RecordCondition[T]): RecordCondition[T]

22. #### val recordFilter: UnboundRecordFilter

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def ||(other: RecordCondition[T]): RecordCondition[T]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped